#include "Application.hh"

namespace deweylab {
namespace app {

Application::Application() {}

int Application::main(int argc, const char* argv[]) {
    try {
        parser.parse(argv, argv + argc);
        run();
    } catch (const std::runtime_error& e) {
        std::cerr << "Error: " << e.what() << '\n';
        return EXIT_FAILURE;
    }
    return EXIT_SUCCESS;
}

} }
