#ifndef __FASTAPROCESSOR_HH__
#define __FASTAPROCESSOR_HH__

#include "FastaReader.hh"
#include "FastaWriter.hh"

namespace deweylab {
namespace app {

class FastaProcessor : public FastaReader, public FastaWriter {
public:
    typedef FastaReader::Record Record;

    FastaProcessor(std::istream& in, std::ostream& out);
    virtual void read_record(Record& rec);
    virtual bool process_record(Record& rec) = 0;
};

} }

#endif // __FASTAPROCESSOR_HH__
