#ifndef __FASTAWRITER_HH__
#define __FASTAWRITER_HH__

#include "Application.hh"
#include "deweylab/bio/formats/fasta.hh"

namespace deweylab {
namespace app {

class FastaWriter : public virtual Application {
public:
    typedef deweylab::bio::formats::fasta::Record Record;

    FastaWriter(std::ostream& stream = std::cout);
    void write_record(Record& rec);
    void set_line_width(size_t width);
protected:
    typedef deweylab::bio::formats::fasta::OutputStream OutputStream;
    OutputStream out_stream;
};

} }

#endif // __FASTAWRITER_HH__
